<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: arm_compute/core/CL/CLKernels.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.xhtml"><span>File&#160;List</span></a></li>
      <li><a href="globals.xhtml"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_c_l_kernels_8h.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">CLKernels.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_c_l_absolute_difference_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLAbsoluteDifferenceKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_accumulate_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLAccumulateKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_activation_layer_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLActivationLayerKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_arithmetic_addition_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLArithmeticAdditionKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_arithmetic_subtraction_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLArithmeticSubtractionKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_bitwise_and_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLBitwiseAndKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_bitwise_not_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLBitwiseNotKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_bitwise_or_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLBitwiseOrKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_bitwise_xor_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLBitwiseXorKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_box3x3_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLBox3x3Kernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_canny_edge_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLCannyEdgeKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_channel_combine_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLChannelCombineKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_channel_extract_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLChannelExtractKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_col2_im_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLCol2ImKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_color_convert_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLColorConvertKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_convolution_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLConvolutionKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_convolution_layer_weights_reshape_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLConvolutionLayerWeightsReshapeKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_depth_convert_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLDepthConvertKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_derivative_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLDerivativeKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_dilate_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLDilateKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_erode_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLErodeKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_fast_corners_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLFastCornersKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_fill_border_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLFillBorderKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_g_e_m_m_interleave4x4_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLGEMMInterleave4x4Kernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_g_e_m_m_lowp_matrix_multiply_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLGEMMLowpMatrixMultiplyKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_g_e_m_m_matrix_accumulate_biases_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLGEMMMatrixAccumulateBiasesKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_g_e_m_m_matrix_addition_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLGEMMMatrixAdditionKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_g_e_m_m_matrix_multiply_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLGEMMMatrixMultiplyKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_g_e_m_m_transpose1x_w_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLGEMMTranspose1xWKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_gaussian3x3_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLGaussian3x3Kernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_gaussian5x5_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLGaussian5x5Kernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_gaussian_pyramid_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLGaussianPyramidKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_harris_corners_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLHarrisCornersKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_histogram_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLHistogramKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_im2_col_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLIm2ColKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_integral_image_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLIntegralImageKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_l_k_tracker_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLLKTrackerKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_magnitude_phase_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLMagnitudePhaseKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_mean_std_dev_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLMeanStdDevKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_median3x3_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLMedian3x3Kernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_min_max_location_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLMinMaxLocationKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_non_linear_filter_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLNonLinearFilterKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_non_maxima_suppression3x3_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLNonMaximaSuppression3x3Kernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_normalization_layer_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLNormalizationLayerKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_pixel_wise_multiplication_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLPixelWiseMultiplicationKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_pooling_layer_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLPoolingLayerKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_remap_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLRemapKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_scale_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLScaleKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_scharr3x3_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLScharr3x3Kernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_sobel3x3_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLSobel3x3Kernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_sobel5x5_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLSobel5x5Kernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_sobel7x7_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLSobel7x7Kernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_softmax_layer_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLSoftmaxLayerKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_table_lookup_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLTableLookupKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_threshold_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLThresholdKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_transpose_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLTransposeKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_warp_affine_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLWarpAffineKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_warp_perspective_kernel_8h_source.xhtml">arm_compute/core/CL/kernels/CLWarpPerspectiveKernel.h</a>&quot;</code><br />
</div>
<p><a href="_c_l_kernels_8h_source.xhtml">Go to the source code of this file.</a></p>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_214608ef36d61442cb2b0c1c4e9a7def.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="dir_1fb090f0c6070330bfaccc4236d3ca0d.xhtml">core</a></li><li class="navelem"><a class="el" href="dir_1633709b037eda5b8477677909f78129.xhtml">CL</a></li><li class="navelem"><a class="el" href="_c_l_kernels_8h.xhtml">CLKernels.h</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:09 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
